summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2019-08-22 15:43:30 +0200
committerChristian Grothoff <christian@grothoff.org>2019-08-22 15:43:30 +0200
commit027f04a0f1d7ae9519cc900e5bc79b3a807d55dd (patch)
treed8e556d5c34559148757a1f41efc1c8aad3b5a47
parent318f94bf90f7ebc4bae8835516930020055eb16f (diff)
downloadexchange-027f04a0f1d7ae9519cc900e5bc79b3a807d55dd.tar.gz
exchange-027f04a0f1d7ae9519cc900e5bc79b3a807d55dd.tar.bz2
exchange-027f04a0f1d7ae9519cc900e5bc79b3a807d55dd.zip
expand auditor test
-rwxr-xr-xsrc/auditor/test-auditor.sh20
1 files changed, 17 insertions, 3 deletions
diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
index a493683ea..ecd89c74b 100755
--- a/src/auditor/test-auditor.sh
+++ b/src/auditor/test-auditor.sh
@@ -1,14 +1,28 @@
#!/bin/bash
+# Setup database which was generated from a perfectly normal
+# exchange-wallet interaction and run the auditor against it.
+#
+# Check that the auditor report is as expected.
+#
+# Requires 'jq' tool and Postgres superuser rights!
set -eu
DB=taler-auditor-test
-dropdb $DB || true
+dropdb $DB 2> /dev/null || true
createdb -T template0 $DB || exit 77
-psql $DB < ../benchmark/auditor-basedb.sql
+jq -h > /dev/null || exit 77
+psql $DB -q -1 -f ../benchmark/auditor-basedb.sql > /dev/null
MASTER_PUB=`cat ../benchmark/auditor-basedb.mpub`
taler-auditor -c test-auditor.conf -m $MASTER_PUB > test-audit.json
-# TODO: check test-audit.json matches expectations
+
+fail=0
+# if an emergency was detected, that is a bug and we should fail
+echo -n "Test for emergencies... "
+jq -e .emergencies < test-audit.json > /dev/null && (echo Failed; fail=1) || echo OK
+
+# TODO: Add more checks to ensure test-audit.json matches expectations
dropdb $DB
+exit $fail